module trisolver
  implicit none
  private
  public :: trisolv
contains 

  subroutine trisolv(dl, d, du, b, n)
  !-----------------------------------------------------------------------------
  ! wrapper for the  MKL solver
  !-----------------------------------------------------------------------------

    !- directives --------------------------------------------------------------
    implicit none

    !- arguments ---------------------------------------------------------------
    integer(4), intent(in) :: n
    real(8), intent(inout) :: dl(1:), d(1:), du(1:)

!dir$ inline
    call dgtnpf (n, dl, d , du , 0)
    call dgtnps (n, dl, d, du, b) 

  end subroutine trisolv

end module trisolver

